Bug 1476145 - CVE-2017-11610 supervisor: Command injection via malicious XML-RPC request [epel-all]
Summary: CVE-2017-11610 supervisor: Command injection via malicious XML-RPC request [e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: supervisor
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Francisco Javier Tsao Santín
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-11610
TreeView+ depends on / blocked
 
Reported: 2017-07-28 06:57 UTC by Andrej Nemec
Modified: 2020-02-17 01:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-17 01:10:52 UTC
Type: ---


Attachments (Terms of Use)

Description Andrej Nemec 2017-07-28 06:57:20 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2017-07-28 06:57:24 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1476143

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Bill Nottingham 2018-09-26 22:17:49 UTC
This appears to be fixed, and has been for a while?

Comment 3 Kevin Fenzi 2018-09-30 00:12:00 UTC
In Fedora yeah, but not in epel7/6. 

I don't use this package anymore, so I am going to let the primary admin take care of this...

Comment 4 Bill Nottingham 2018-09-30 16:49:28 UTC
Sorry, rephrase: the CVE fix is referenced in the 3.1.4-1 RPM changelog, the changelog in the source, and the code. So it appears to already be fixed (for epel7, at least. Did not check 6.)

Comment 5 Francisco Javier Tsao Santín 2020-02-17 01:03:10 UTC
Supervisor version at EPEL 6 is 2.1. I understand it's still affected by the CVE because it's a version under 3.0.1. I see two options: updating to 3.0.1 (but I think there are some braking changes), or trying to backport the bugfix to 2.1. I'll analyze this last option.

Comment 6 Francisco Javier Tsao Santín 2020-02-17 01:10:52 UTC
I've just read at supervisord's project:
This vulnerability has existed in all versions of Supervisor since 3.0a1 (released in 2007).
https://github.com/Supervisor/supervisor/issues/964

So there is no problem in EPEL 6. Closing this ticket...


Note You need to log in before you can comment on or make changes to this bug.